[android-components](../../index.md) / [mozilla.components.lib.jexl.ast](../index.md) / [AstType](./index.md)

# AstType

`enum class AstType` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/lib/jexl/src/main/java/mozilla/components/lib/jexl/ast/AstType.kt#L7)

### Enum Values

| Name | Summary |
|---|---|
| [LITERAL](-l-i-t-e-r-a-l.md) |  |
| [OBJECT_LITERAL](-o-b-j-e-c-t_-l-i-t-e-r-a-l.md) |  |
| [BINARY_EXPRESSION](-b-i-n-a-r-y_-e-x-p-r-e-s-s-i-o-n.md) |  |
| [IDENTIFIER](-i-d-e-n-t-i-f-i-e-r.md) |  |
| [UNARY_EXPRESSION](-u-n-a-r-y_-e-x-p-r-e-s-s-i-o-n.md) |  |
| [ARRAY_LITERAL](-a-r-r-a-y_-l-i-t-e-r-a-l.md) |  |
| [TRANSFORM](-t-r-a-n-s-f-o-r-m.md) |  |
| [FILTER_EXPRESSION](-f-i-l-t-e-r_-e-x-p-r-e-s-s-i-o-n.md) |  |
| [CONDITIONAL_EXPRESSION](-c-o-n-d-i-t-i-o-n-a-l_-e-x-p-r-e-s-s-i-o-n.md) |  |
